#region Copyright
/*
 * Copyright 2005 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
#endregion

using System;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace Seasar.Controls.Win.Logic
{
	/// <summary>
	/// Graphics̃WbNC^[tF[Xł
	/// </summary>
	public interface IGraphicsLogic
	{
        /// <summary>
        /// GDI+ `ʂ̍̈ʒuɎw肳ꂽTCY̎lp`̓hԂ܂
        /// </summary>
        /// <param name="graphics">GDI+ `</param>
        /// <param name="color">F</param>
        /// <param name="size">TCY</param>
        void PaintSquare(Graphics graphics, Color color, Size size);

        /// <summary>
        /// GDI+ `ʂɎw肳ꂽlp`̓hԂ܂
        /// </summary>
        /// <param name="graphics">GDI+ `</param>
        /// <param name="color">hԂF</param>
        /// <param name="rect">hԂ͈́ilp`j</param>
        void PaintSquare(Graphics graphics, Color color, Rectangle rect);

        /// <summary>
        /// `Of[VœhԂ܂
        /// </summary>
        /// <param name="graphics">GDI+ `</param>
        /// <param name="rect">`Of[V͈̔</param>
        /// <param name="path">hԂg</param>
        /// <param name="color1">Of[V̊JnF</param>
        /// <param name="color2">Of[V̏IF</param>
        void PaintGradient(Graphics graphics, Rectangle rect, GraphicsPath path, Color color1, Color color2);

        /// <summary>
        /// hbg̔g`܂
        /// </summary>
        /// <param name="graphics">GDI+ `</param>
        /// <param name="rect">g`g</param>
        /// <param name="color">g̐F</param>
        void DrawSquareDotDashLine(Graphics graphics, Rectangle rect, Color color);

        /// <summary>
        /// ̐FZeF쐬܂
        /// </summary>
        /// <param name="color">F</param>
        /// <returns>eF</returns>
        Color CreateShadeColor(Color color);
	}
}
