#region Copyright
/*
 * Copyright 2005 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
#endregion

using System;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace Seasar.Controls.Win.Logic
{
	/// <summary>
	/// XPButtoñWbNC^[tF[Xł
	/// </summary>
	public interface IXPButtonLogic
	{
        /// <summary>
        /// XPButton̘g쐬܂
        /// </summary>
        /// <param name="rect">XPButton̗̈</param>
        /// <param name="radius">p̊ۂݕ̔a</param>
        /// <returns>XPButtong</returns>
        GraphicsPath CreateXPButtonFramePath(Rectangle rect, int radius);

        /// <summary>
        /// XPButton̉AƂȂ̘̈g쐬܂
        /// </summary>
        /// <param name="rect">XPButton̗̈</param>
        /// <param name="radius">p̊ۂݕ̔a</param>
        /// <returns>AƂȂ̘̈g</returns>
        GraphicsPath CreateXPButtonShadeFramePath(Rectangle rect, int radius);
        
        /// <summary>
        /// XPButton̎lp`̗̈Ԃ܂
        /// </summary>
        /// <param name="rect">XPButton̗̈</param>
        /// <param name="radius">ۂ݂̔a</param>
        /// <returns>XPButton̎lp`̗̈</returns>
        Rectangle GetXPButtonInsideRectangle(Rectangle rect, int radius);
	}
}
